{
  "name": "mobilechallenge",
  "version": "0.0.1",
  "private": true,
  "scripts": {
    "android": "react-native run-android",
    "ios": "react-native run-ios",
    "start": "react-native start",
    "test": "jest",
    "lint": "eslint . --ext .js,.jsx,.ts,.tsx"
  },
  "dependencies": {
    "@jest/create-cache-key-function": "^27.0.6",
    "@react-native-community/masked-view": "^0.1.11",
    "@react-navigation/bottom-tabs": "^5.11.11",
    "@react-navigation/native": "^5.9.4",
    "@reduxjs/toolkit": "^1.6.1",
    "@types/react-native-vector-icons": "^6.4.8",
    "@types/react-redux": "^7.1.18",
    "@types/redux-logger": "^3.0.9",
    "@types/redux-saga": "^0.10.5",
    "react": "17.0.1",
    "react-content-loader": "^6.0.3",
    "react-native": "0.64.1",
    "react-native-gesture-handler": "^1.10.3",
    "react-native-progress": "^5.0.0",
    "react-native-reanimated": "^2.2.0",
    "react-native-safe-area-context": "^3.2.0",
    "react-native-screens": "^3.4.0",
    "react-native-svg": "^12.1.1",
    "react-native-svg-transformer": "^0.14.3",
    "react-native-vector-icons": "^8.1.0",
    "react-navigation-hooks": "^1.1.0",
    "react-redux": "^7.2.4",
    "redux": "^4.1.0",
    "redux-logger": "^3.0.6",
    "redux-saga": "^1.1.3",
    "toggle-switch-react-native": "^3.2.0"
  },
  "devDependencies": {
    "@babel/core": "^7.12.9",
    "@babel/preset-typescript": "^7.14.5",
    "@babel/runtime": "^7.12.5",
    "@react-native-community/eslint-config": "^2.0.0",
    "@types/jest": "^26.0.24",
    "@types/react": "^17.0.14",
    "@types/react-native": "^0.64.12",
    "@types/react-test-renderer": "^17.0.1",
    "babel-jest": "^26.6.3",
    "enzyme": "^3.11.0",
    "enzyme-adapter-react-16": "^1.15.6",
    "enzyme-to-json": "^3.6.2",
    "eslint": "^7.14.0",
    "jest": "^27.0.6",
    "metro-config": "^0.66.2",
    "metro-react-native-babel-preset": "^0.64.0",
    "react-test-renderer": "17.0.1",
    "ts-jest": "^27.0.1",
    "typescript": "^3.8.3"
  },
  "resolutions": {
    "@types/react": "^17",
    "@jest/create-cache-key-function": "^27.0.1"
  },
  "jest": {
    "preset": "react-native",
    "moduleFileExtensions": [
      "ts",
      "tsx",
      "js"
    ],
    "transform": {
      "^.+\\.(js)$": "<rootDir>/node_modules/babel-jest",
      "\\.(ts|tsx)$": "<rootDir>/node_modules/ts-jest/preprocessor.js"
    },
    "testRegex": "(/__tests__/.*|\\.(test|spec))\\.(ts|tsx|js)$",
    "testPathIgnorePatterns": [
      "\\.snap$",
      "<rootDir>/node_modules/"
    ],
    "cacheDirectory": ".jest/cache"
  }
}
